[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'keyboard' (#rtl)

# KeyEventToString

Return a string describing the key event.

## Declaration

Source position: keybrdh.inc line 195

`function KeyEventToString(`
`KeyEvent: TKeyEvent`
`):string;`

## Description

KeyEventToString translates the key event in KeyEvent to a human-readable description of the pressed key. It will use the constants described in the constants section to do so.

For an example, see most other functions.

## Errors

If an unknown key is passed, the scancode is returned, prefixed with the SScanCode string.

## See also

FunctionKeyName |  | Return string representation of a function key code.
ShiftStateToString |  | Return description of key event shift state

Documentation generated on: Feb 26 2014